%define name klyx
%define version 0.10.0
%define release 8mdk

Summary: KLyX - a word processor for the K Desktop Environment
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Source: ftp://ftp.kde.org/pub/kde/unstable/apps/office/%{name}-%{version}.tar.bz2
Patch0: klyx-prototypes.patch.bz2
Group: Office
URL: http://www.devel.lyx.org/~ettrich/klyx.html
BuildRoot: /var/tmp/%{name}-%{version}-root
Requires: qt >= 1.40 kdelibs tetex tetex-latex tetex-dvips ghostscript
BuildRequires: XFree86-devel qt-devel gettext zlib-devel libjpeg-devel tetex tetex-latex

%description
A word processor for the K Desktop Environment that is based
on LyX and uses LaTeX as its background formatting engine.

%description -l fr
Un formatteur de textes sous KDE - permet d'utiliser toute la puissance de
LaTeX sans en connatre la syntaxe.

%description -l it
KLyX  un word processor per il KDE basato su LyX; utilizza LaTeX
come motore di formattazione.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0

%build
libtoolize --force
export KDEDIR=/usr
CFLAGS="$RPM_OPT_FLAGS -frtti" CXXFLAGS="$RPM_OPT_FLAGS -frtti" \
	./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

make

%install
rm -rf $RPM_BUILD_ROOT
export KDEDIR=/usr
make prefix=$RPM_BUILD_ROOT$KDEDIR install
strip $RPM_BUILD_ROOT$KDEDIR/bin/klyx

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/klyx <<EOF
?package(klyx): command="/usr/bin/klyx" needs="X11" \
icon="klyx.xpm" section="Office" \
title="KLyX" longtitle="TeX word processor - especially \
good at scientific documents"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files 
%defattr(-,root,root,755)
/usr/bin/klyx
/usr/lib/menu/klyx
%dir /usr/share/icons
/usr/share/icons/klyx.xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/klyx.xpm
%dir /usr/share/apps
/usr/share/apps/klyx
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/klyx.mo

%changelog

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 0.10.0-8mdk

- Menu entry update
- File list update

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com> 0.10.0-7mdk

- Changed group according to 7.1 specs
- Added menu entry
- Spec file fixes

* Fri Jan 21 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.10.0-6mdk

- fix build with gcc

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.10.0-5mdk

- libtoolize --force.

* Sat Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen.

* Fri Sep 10 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt/relinked with latest Cassini kdelibs.

* Mon Sep 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.10.0.

* Fri Jul 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Cooker.
- added teTeX and ghostscript dependencies.

* Tue Oct 06 1998 Fabio Coatti <cova@felix.unife.it>
- fixed installation directory files list

* Fri Oct 02 1998 Fabio Coatti <cova@felix.unife.it>
- fixed QT libs version requirements

* Thu Oct 01 1998 Fabio Coatti <cova@felix.unife.it>
- Added patch for print bug
- modified the file section
- added the italian description
